org.richfaces.component

## Class UIOutputPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.AbstractOutputPanel
        - - org.richfaces.component.UIOutputPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.ui.common.AjaxOutput

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIOutputPanel
      extends AbstractOutputPanel
      implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.ui.common.AjaxOutput

  The <a4j:outputPanel> component is used to group together components in to update them as a whole, rather than having to specify the components individually.

  Author:
    asmirnov@exadel.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIOutputPanel.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIOutputPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLang()`
    `OutputPanelLayout` | `getLayout()` HTML layout for generated markup.
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `boolean` | `isAjaxRendered()`
    `boolean` | `isKeepTransient()`
    `void` | `setAjaxRendered(boolean ajaxRendered)`
    `void` | `setDir(String dir)`
    `void` | `setKeepTransient(boolean keepTransient)`
    `void` | `setLang(String lang)`
    `void` | `setLayout(OutputPanelLayout layout)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIOutputPanel

          public UIOutputPanel()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.richfaces.ui.common.AjaxOutput`
      Specified by:
        `isAjaxRendered` in class `AbstractOutputPanel`

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Specified by:
        `setAjaxRendered` in interface `org.richfaces.ui.common.AjaxOutput`

    - #### getDir

          public String getDir()

      Specified by:
        `getDir` in class `AbstractOutputPanel`

    - #### setDir

          public void setDir(String dir)

    - #### isKeepTransient

          public boolean isKeepTransient()

      Specified by:
        `isKeepTransient` in interface `org.richfaces.ui.common.AjaxOutput`
      Specified by:
        `isKeepTransient` in class `AbstractOutputPanel`

    - #### setKeepTransient

          public void setKeepTransient(boolean keepTransient)

      Specified by:
        `setKeepTransient` in interface `org.richfaces.ui.common.AjaxOutput`

    - #### getLang

          public String getLang()

      Specified by:
        `getLang` in class `AbstractOutputPanel`

    - #### setLang

          public void setLang(String lang)

    - #### getLayout

          public OutputPanelLayout getLayout()

      Description copied from class: `AbstractOutputPanel`
      HTML layout for generated markup. Possible values: "block" for generating an HTML <div> element and "inline" for generating an HTML <span> element. Default value is "inline"
      Specified by:
        `getLayout` in class `AbstractOutputPanel`

    - #### setLayout

          public void setLayout(OutputPanelLayout layout)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractOutputPanel`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractOutputPanel`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractOutputPanel`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractOutputPanel`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractOutputPanel`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractOutputPanel`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractOutputPanel`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractOutputPanel`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractOutputPanel`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractOutputPanel`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in class `AbstractOutputPanel`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in class `AbstractOutputPanel`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in class `AbstractOutputPanel`

    - #### setTitle

          public void setTitle(String title)

Copyright © 2014 JBoss by Red Hat. All rights reserved.